opencv: cv::OneWayDescriptorObject Class Reference

Public Member Functions | Protected Attributes

# cv::OneWayDescriptorObject Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::OneWayDescriptorObject:

List of all members.

## Public Member Functions
vector< cv::KeyPoint > | _GetLabeledFeatures () const
void | Allocate (int train_feature_count, int object_feature_count)
int | GetDescriptorPart (int desc_idx) const
vector< cv::KeyPoint > & | GetLabeledFeatures ()
const vector< cv::KeyPoint > & | GetLabeledFeatures () const
int | GetObjectFeatureCount () const
void | InitializeObjectDescriptors (IplImage *train_image, const vector< cv::KeyPoint > &features, const char *feature_label, int desc_start_idx=0, float scale=1.0f, int is_background=0)
int | IsDescriptorObject (int desc_idx) const
int | MatchPointToPart (CvPoint pt) const
| OneWayDescriptorObject (CvSize patch_size, int pose_count, const string &pca_filename, const string &train_path=string(), const string &images_list=string(), float _scale_min=0.7f, float _scale_max=1.5f, float _scale_step=1.2f, int pyr_levels=1)
| OneWayDescriptorObject (CvSize patch_size, int pose_count, const char *train_path, const char *pca_config, const char *pca_hr_config=0, const char *pca_desc_config=0, int pyr_levels=1)
void | SetLabeledFeatures (const vector< cv::KeyPoint > &features)
virtual | ~OneWayDescriptorObject ()
## Protected Attributes
int | m_object_feature_count
int * | m_part_id
vector< cv::KeyPoint > | m_train_features

## Constructor & Destructor Documentation

cv::OneWayDescriptorObject::OneWayDescriptorObject | ( | CvSize | patch_size,
|  | int | pose_count,
|  | const char * | train_path,
|  | const char * | pca_config,
|  | const char * | pca_hr_config = `0`,
|  | const char * | pca_desc_config = `0`,
|  | int | pyr_levels = `1`
| ) |  |

cv::OneWayDescriptorObject::OneWayDescriptorObject | ( | CvSize | patch_size,
|  | int | pose_count,
|  | const string & | pca_filename,
|  | const string & | train_path = `string()`,
|  | const string & | images_list = `string()`,
|  | float | _scale_min = `0.7f`,
|  | float | _scale_max = `1.5f`,
|  | float | _scale_step = `1.2f`,
|  | int | pyr_levels = `1`
| ) |  |

virtual cv::OneWayDescriptorObject::~OneWayDescriptorObject | ( | ) | `[virtual]`

## Member Function Documentation

vector<cv::KeyPoint> cv::OneWayDescriptorObject::_GetLabeledFeatures | ( | ) | const

void cv::OneWayDescriptorObject::Allocate | ( | int | train_feature_count,
|  | int | object_feature_count
| ) |  |

int cv::OneWayDescriptorObject::GetDescriptorPart | ( | int | desc_idx ) | const

const vector<cv::KeyPoint>& cv::OneWayDescriptorObject::GetLabeledFeatures | ( | ) | const`[inline]`

vector<cv::KeyPoint>& cv::OneWayDescriptorObject::GetLabeledFeatures | ( | ) | `[inline]`

int cv::OneWayDescriptorObject::GetObjectFeatureCount | ( | ) | const`[inline]`

void cv::OneWayDescriptorObject::InitializeObjectDescriptors | ( | IplImage * | train_image,
|  | const vector< cv::KeyPoint > & | features,
|  | const char * | feature_label,
|  | int | desc_start_idx = `0`,
|  | float | scale = `1.0f`,
|  | int | is_background = `0`
| ) |  |

int cv::OneWayDescriptorObject::IsDescriptorObject | ( | int | desc_idx ) | const

int cv::OneWayDescriptorObject::MatchPointToPart | ( | CvPoint | pt ) | const

void cv::OneWayDescriptorObject::SetLabeledFeatures | ( | const vector< cv::KeyPoint > & | features ) | `[inline]`

## Member Data Documentation

int cv::OneWayDescriptorObject::m_object_feature_count`[protected]`

int* cv::OneWayDescriptorObject::m_part_id`[protected]`

vector<cv::KeyPoint> cv::OneWayDescriptorObject::m_train_features`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines